## org.codehaus.groovy.grails.scaffolding
Class DomainClassPropertyComparator

    java.lang.Object
      org.codehaus.groovy.grails.scaffolding.DomainClassPropertyComparator

All Implemented Interfaces:
  Comparator

    public class DomainClassPropertyComparator

extends Object
implements Comparator

Comparator that uses the domain class property constraints to establish order in sort methods and always places the id first

Since:
  10-Feb-2006
Author:
  Graeme Rocher

Constructor Summary
`DomainClassPropertyComparator(GrailsDomainClass domainClass)`

Method Summary
`int` `compare(Object o1, Object o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### DomainClassPropertyComparator

    public DomainClassPropertyComparator(GrailsDomainClass domainClass)

Method Detail

### compare

    public int compare(Object o1,
                       Object o2)

  Specified by:
    `compare` in interface `Comparator`

Copyright (c) 2005-2009 The Grails project